javax.swing.text

## Class Position.Bias

- java.lang.Object
- - javax.swing.text.Position.Bias

- Enclosing interface:
    Position

      public static final class Position.Bias
      extends Object

  A typesafe enumeration to indicate bias to a position in the model. A position indicates a location between two characters. The bias can be used to indicate an interest toward one of the two sides of the position in boundary conditions where a simple offset is ambiguous.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Position.Bias` | `Backward` Indicates a bias toward the previous character in the model.
    `static Position.Bias` | `Forward` Indicates to bias toward the next character in the model.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` string representation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### Forward

          public static final Position.Bias Forward

      Indicates to bias toward the next character in the model.

    - #### Backward

          public static final Position.Bias Backward

      Indicates a bias toward the previous character in the model.

  - ### Method Detail

    - #### toString

          public String toString()

      string representation
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of the object.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.